Bug 247554 - ftp/proftpd: Update to 1.3.6d
Summary: ftp/proftpd: Update to 1.3.6d
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Matuska
URL: http://proftpd.org/docs/NEWS-1.3.6d
Keywords: needs-patch, needs-qa, security
Depends on:
Blocks: 243866
  Show dependency treegraph
 
Reported: 2020-06-26 06:30 UTC by Alexander Pücker
Modified: 2020-08-17 06:39 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mm)
koobs: merge-quarterly?


Attachments
SVN Patch (914 bytes, patch)
2020-06-26 06:30 UTC, Alexander Pücker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pücker 2020-06-26 06:30:32 UTC
Created attachment 215953 [details]
SVN Patch

The attached Ports Tree patch would update the ftp/proftpd port to the current version 1.3.6d which was released at the 30.05.2020: http://proftpd.org/docs/NEWS-1.3.6d

As far as I have tested it Proftpd 1.3.6d do work correct on FreeBSD 11. I have not tested it with FreeBSD 12.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-26 09:07:57 UTC
^Triage: 

- [tags] in issue Titles are deprecated
- Security and bugfix releases, MFH
- Pending VuXML Entry (probably), for:

  - Issue 903 - Use-after-free vulnerability in memory pools during data transfer.
  - Issue 902 - Out-of-bounds read in mod_cap getstateflags() function.  This
    has been addressed by updating the bundled version of libcap. (did not check for CVE's, but may be available)
Comment 2 commit-hook freebsd_committer 2020-07-02 06:53:11 UTC
A commit references this bug:

Author: mm
Date: Thu Jul  2 06:52:39 UTC 2020
New revision: 541015
URL: https://svnweb.freebsd.org/changeset/ports/541015

Log:
  Update ProFTPd to version 1.3.6d

  PR:		247554, 243866
  Submitted by:	Alexander Puecker

Changes:
  head/ftp/proftpd/Makefile
  head/ftp/proftpd/distinfo
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2020-08-17 06:39:15 UTC
Committed Thu Jul  2 06:52:39 UTC 2020 as r541015.